Create an employer statutory withholding line item
curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pay_stub_id": "<id>",
"employer_statutory_withholding_type": "ei"
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items"
payload = {
"pay_stub_id": "<id>",
"employer_statutory_withholding_type": "ei"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pay_stub_id: '<id>', employer_statutory_withholding_type: 'ei'})
};
fetch('https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pay_stub_id' => '<id>',
'employer_statutory_withholding_type' => 'ei'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items"
payload := strings.NewReader("{\n \"pay_stub_id\": \"<id>\",\n \"employer_statutory_withholding_type\": \"ei\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pay_stub_id\": \"<id>\",\n \"employer_statutory_withholding_type\": \"ei\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pay_stub_id\": \"<id>\",\n \"employer_statutory_withholding_type\": \"ei\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "employer_statutory_withholding_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"line_item_type": "employer_statutory_withholding",
"is_system": true,
"is_managed": true,
"amount": 0,
"custom_amount": null,
"managed_amount": 0,
"employer_statutory_withholding_type": {
"id": "<id>",
"object": "employer_statutory_withholding_type",
"data": {
"type": "ei",
"label": "EI"
},
"links": {
"self": "/employer_statutory_withholding_types/ei"
}
},
"title": "EI",
"title_translations": {
"en": "EI",
"fr": "AE"
},
"title_translated": "EI",
"remittance_account": {
"id": "<id>",
"object": "remittance_account",
"links": {
"self": "/remittance_accounts/<id>"
}
},
"remittance_mode": "unknown",
"source_adjustment": null,
"business_preset": {
"id": "<id>",
"object": "business_preset",
"links": {
"self": "/business_presets/<id>"
}
},
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"expense_accounting_code_rule": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"liability_accounting_code_rule": null,
"component_settings": {
"attributes_locked": false
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/employer_statutory_withholding_line_items/<id>"
}
}Employer Statutory Withholding Line Items
Create an employer statutory withholding line item
Only available on correction and historical payrolls.
POST
/
employer_statutory_withholding_line_items
Create an employer statutory withholding line item
curl --request POST \
--url https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pay_stub_id": "<id>",
"employer_statutory_withholding_type": "ei"
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items"
payload = {
"pay_stub_id": "<id>",
"employer_statutory_withholding_type": "ei"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pay_stub_id: '<id>', employer_statutory_withholding_type: 'ei'})
};
fetch('https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pay_stub_id' => '<id>',
'employer_statutory_withholding_type' => 'ei'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items"
payload := strings.NewReader("{\n \"pay_stub_id\": \"<id>\",\n \"employer_statutory_withholding_type\": \"ei\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pay_stub_id\": \"<id>\",\n \"employer_statutory_withholding_type\": \"ei\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/employer_statutory_withholding_line_items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pay_stub_id\": \"<id>\",\n \"employer_statutory_withholding_type\": \"ei\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "employer_statutory_withholding_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"line_item_type": "employer_statutory_withholding",
"is_system": true,
"is_managed": true,
"amount": 0,
"custom_amount": null,
"managed_amount": 0,
"employer_statutory_withholding_type": {
"id": "<id>",
"object": "employer_statutory_withholding_type",
"data": {
"type": "ei",
"label": "EI"
},
"links": {
"self": "/employer_statutory_withholding_types/ei"
}
},
"title": "EI",
"title_translations": {
"en": "EI",
"fr": "AE"
},
"title_translated": "EI",
"remittance_account": {
"id": "<id>",
"object": "remittance_account",
"links": {
"self": "/remittance_accounts/<id>"
}
},
"remittance_mode": "unknown",
"source_adjustment": null,
"business_preset": {
"id": "<id>",
"object": "business_preset",
"links": {
"self": "/business_presets/<id>"
}
},
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"expense_accounting_code_rule": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"liability_accounting_code_rule": null,
"component_settings": {
"attributes_locked": false
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/employer_statutory_withholding_line_items/<id>"
}
}Authorizations
Body
application/json
The type of employer statutory withholding for this line item.
Required unless business_preset_id is set to a Business Preset with a subtype. If both are set, this must match the Business Preset's subtype.
Available options:
cpp, cpp_2, eht, ei, qpip, qpp, qpp_2, uk_national_insurance, wcb Response
201 - application/json
Created
Hide child attributes
Hide child attributes
The type of employer statutory withholding for this line item.
Hide child attributes
Hide child attributes

